X2Go Bug report logs - #245
x2go crashes during suspend session clean up

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mario Theodoridis <mario@schmut.com>

Date: Tue, 18 Jun 2013 07:18:02 UTC

Severity: normal

Merged with 231

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#245; Package x2goagent. (Tue, 18 Jun 2013 07:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Theodoridis <mario@schmut.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 18 Jun 2013 07:18:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mario Theodoridis <mario@schmut.com>
To: submit@bugs.x2go.org
Subject: x2go crashes during suspend session clean up
Date: Tue, 18 Jun 2013 09:08:56 +0200
Package: x2goagent
Version: 2:3.5.0.20-0

Hi all,

ever since the upgrade to
ri  x2goagent        2:3.5.0.20-0~ all           X2Go agent
ri  x2goclient       4.0.1.0-0~380 i386          X2Go Client application 
(Qt4)
ii  x2goserver       4.0.1.0-0~688 i386          X2Go server daemon scripts
ii  x2goserver-exten 4.0.1.0-0~688 all           X2Go server daemon 
scripts (extensions

on Kubuntu 13.04 3.8.0-25-generic #37-Ubuntu SMP i686 GNU/Linux

i get the following error when suspending a session

Connection failed Bareword found where operator expected at 
/usr/bin/x2goumount-session line 137, near "] e" (Missing operator 
before e?) Bareword found where operator expected at 
/usr/bin/x2goumount-session line 141, near "] e" (Missing operator 
before e?) syntax error at /usr/bin/x2goumount-session line 137, near "] 
e " syntax error at /usr/bin/x2goumount-session line 141, near "] e " 
Global symbol "$only_path_uncpath" requires explicit package name at 
/usr/bin/x2goumount-session line 141. Global symbol "$only_path_uncpath" 
requires explicit package name at /usr/bin/x2goumount-session line 143. 
syntax error at /usr/bin/x2goumount-session line 146, near "}" Global 
symbol "@line" requires explicit package name at 
/usr/bin/x2goumount-session line 152. Global symbol "@line" requires 
explicit package name at /usr/bin/x2goumount-session line 152. Global 
symbol "@line" requires explicit package name at 
/usr/bin/x2goumount-session line 163. Global symbol "@line" requires 
explicit package name at /usr/bin/x2goumount-session line 165. Global 
symbol "@line" requires explicit package name at 
/usr/bin/x2goumount-session line 171. Global symbol "@line" requires 
explicit package name at /usr/bin/x2goumount-session line 174. Global 
symbol "@line" requires explicit package name at 
/usr/bin/x2goumount-session line 178. Global symbol "@line" requires 
explicit package name at /usr/bin/x2goumount-session line 234. Global 
symbol "@line" requires explicit package name at 
/usr/bin/x2goumount-session line 235. syntax error at 
/usr/bin/x2goumount-session line 238, near "}" 
/usr/bin/x2goumount-session has too many errors.

Then when i try to reconnect i get

The remote proxy closed the connection while negotiating
the session. This may be due to the wrong authentication
credentials passed to the server.

Usually the client hangs and has to be shot down.

I'm already used to libNX crashing on me every couple of days or so 
(different bug), but this renders x2go rather useless.

I don't no whether any of my habits have become unacceptable or x2go has 
an issue, but restarting sessions has become a bear.

Here's the session log on the server

xtail .x2go/*

*** .x2go/C-mario-50-1371457309_stDKDE_dp24/session.log ***
Session: Resuming session at 'Tue Jun 18 08:40:43 2013'.
Info: Proxy running in server mode with pid '4113'.
Info: Waiting for connection from 'localhost' on port '30001'.
Info: Aborting the procedure due to signal '1'.
Session: Display failure detected at 'Tue Jun 18 08:40:43 2013'.
Session: Suspending session at 'Tue Jun 18 08:40:43 2013'.

*** .x2go/C-mario-50-1371457309_stDKDE_dp24/options ***

*** .x2go/C-mario-50-1371457309_stDKDE_dp24/session.log ***
Session: Session suspended at 'Tue Jun 18 08:40:43 2013'.


And here's the one on the client

xtail .x2go/*

*** .x2go/S-mario-50-1371457309_stDKDE_dp24/options ***

*** .x2go/S-mario-50-1371457309_stDKDE_dp24/sessions ***
Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.


Ping me if you you other info.

-- 
Mit freundlichen Grüßen/Regards

Mario Theodoridis


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#245; Package x2goagent. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

Message #10 received at 245@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 245@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Duplicate of X2Go issue #231
Date: Thu, 18 Jul 2013 11:29:11 +0200
[Message part 1 (text/plain, inline)]
reassign #245 x2goserver
close #245
merge #245 #231
thanks

This is a duplicate of issue #231 which has already been fixed (in  
X2Go Server 4.0.1.1).

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goagent' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2:3.5.0.20-0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

Notification sent to Mario Theodoridis <mario@schmut.com>:
Bug acknowledged by developer. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

Merged 231 245 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 18 Jul 2013 09:30:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 16 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Apr 21 04:50:24 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.